com.opensymphony.xwork2.security

## Class DefaultNotExcludedAcceptedPatternsChecker

- java.lang.Object
- - com.opensymphony.xwork2.security.DefaultNotExcludedAcceptedPatternsChecker

- All Implemented Interfaces:
    AcceptedPatternsChecker, ExcludedPatternsChecker, NotExcludedAcceptedPatternsChecker

      public class DefaultNotExcludedAcceptedPatternsChecker
      extends Object
      implements NotExcludedAcceptedPatternsChecker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.NotExcludedAcceptedPatternsChecker

      `NotExcludedAcceptedPatternsChecker.IsAllowed`

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.ExcludedPatternsChecker

      `ExcludedPatternsChecker.IsExcluded`

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.AcceptedPatternsChecker

      `AcceptedPatternsChecker.IsAccepted`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNotExcludedAcceptedPatternsChecker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Pattern>` | `getAcceptedPatterns()` Allow access list of all defined excluded patterns
    `Set<Pattern>` | `getExcludedPatterns()` Allow access list of all defined excluded patterns
    `AcceptedPatternsChecker.IsAccepted` | `isAccepted(String value)` Checks if value matches any of patterns on exclude list
    `NotExcludedAcceptedPatternsChecker.IsAllowed` | `isAllowed(String value)` Checks if value doesn't match excluded pattern and matches accepted pattern
    `ExcludedPatternsChecker.IsExcluded` | `isExcluded(String value)` Checks if value matches any of patterns on exclude list
    `void` | `setAcceptedPatterns(AcceptedPatternsChecker acceptedPatterns)`
    `void` | `setAcceptedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
    `void` | `setAcceptedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
    `void` | `setAcceptedPatterns(String[] patterns)` Set excluded patterns during runtime
    `void` | `setExcludedPatterns(ExcludedPatternsChecker excludedPatterns)`
    `void` | `setExcludedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
    `void` | `setExcludedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
    `void` | `setExcludedPatterns(String[] patterns)` Sets excluded patterns during runtime

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNotExcludedAcceptedPatternsChecker

          public DefaultNotExcludedAcceptedPatternsChecker()

  - ### Method Detail

    - #### setExcludedPatterns

          public void setExcludedPatterns(ExcludedPatternsChecker excludedPatterns)

    - #### setAcceptedPatterns

          public void setAcceptedPatterns(AcceptedPatternsChecker acceptedPatterns)

    - #### isAllowed

          public NotExcludedAcceptedPatternsChecker.IsAllowed isAllowed(String value)

      Description copied from interface: `NotExcludedAcceptedPatternsChecker`
      Checks if value doesn't match excluded pattern and matches accepted pattern
      Specified by:
        `isAllowed` in interface `NotExcludedAcceptedPatternsChecker`
      Parameters:
        `value` - to check
      Returns:
        object containing result of matched pattern and pattern itself

    - #### isAccepted

          public AcceptedPatternsChecker.IsAccepted isAccepted(String value)

      Description copied from interface: `AcceptedPatternsChecker`
      Checks if value matches any of patterns on exclude list
      Specified by:
        `isAccepted` in interface `AcceptedPatternsChecker`
      Parameters:
        `value` - to check
      Returns:
        object containing result of matched pattern and pattern itself

    - #### setAcceptedPatterns

          public void setAcceptedPatterns(String commaDelimitedPatterns)

      Description copied from interface: `AcceptedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setAcceptedPatterns` in interface `AcceptedPatternsChecker`
      Parameters:
        `commaDelimitedPatterns` - comma delimited string with patterns

    - #### setAcceptedPatterns

          public void setAcceptedPatterns(String[] patterns)

      Description copied from interface: `AcceptedPatternsChecker`
      Set excluded patterns during runtime
      Specified by:
        `setAcceptedPatterns` in interface `AcceptedPatternsChecker`
      Parameters:
        `patterns` - array of additional excluded patterns

    - #### setAcceptedPatterns

          public void setAcceptedPatterns(Set<String> patterns)

      Description copied from interface: `AcceptedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setAcceptedPatterns` in interface `AcceptedPatternsChecker`
      Parameters:
        `patterns` - set of additional patterns

    - #### getAcceptedPatterns

          public Set<Pattern> getAcceptedPatterns()

      Description copied from interface: `AcceptedPatternsChecker`
      Allow access list of all defined excluded patterns
      Specified by:
        `getAcceptedPatterns` in interface `AcceptedPatternsChecker`
      Returns:
        set of excluded patterns

    - #### isExcluded

          public ExcludedPatternsChecker.IsExcluded isExcluded(String value)

      Description copied from interface: `ExcludedPatternsChecker`
      Checks if value matches any of patterns on exclude list
      Specified by:
        `isExcluded` in interface `ExcludedPatternsChecker`
      Parameters:
        `value` - to check
      Returns:
        object containing result of matched pattern and pattern itself

    - #### setExcludedPatterns

          public void setExcludedPatterns(String commaDelimitedPatterns)

      Description copied from interface: `ExcludedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setExcludedPatterns` in interface `ExcludedPatternsChecker`
      Parameters:
        `commaDelimitedPatterns` - comma delimited string with patterns

    - #### setExcludedPatterns

          public void setExcludedPatterns(String[] patterns)

      Description copied from interface: `ExcludedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setExcludedPatterns` in interface `ExcludedPatternsChecker`
      Parameters:
        `patterns` - array of additional excluded patterns

    - #### setExcludedPatterns

          public void setExcludedPatterns(Set<String> patterns)

      Description copied from interface: `ExcludedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setExcludedPatterns` in interface `ExcludedPatternsChecker`
      Parameters:
        `patterns` - set of additional patterns

    - #### getExcludedPatterns

          public Set<Pattern> getExcludedPatterns()

      Description copied from interface: `ExcludedPatternsChecker`
      Allow access list of all defined excluded patterns
      Specified by:
        `getExcludedPatterns` in interface `ExcludedPatternsChecker`
      Returns:
        set of excluded patterns

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.